tvbrowser.ui.mainframe.actions

## Class TVBrowserAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - tvbrowser.ui.mainframe.actions.TVBrowserAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Direct Known Subclasses:
    TVBrowserUpdateAction

      public abstract class TVBrowserAction
      extends javax.swing.AbstractAction

  Author:
    bananeweizen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Localizer` | `mLocalizer` The localizer for this class.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TVBrowserAction(java.lang.String key, javax.swing.ImageIcon smallIcon, javax.swing.ImageIcon largeIcon, int keyCode, int keyMask, int toolbarActionType)`
    `TVBrowserAction(java.lang.String key, int keyCode, int keyMask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.KeyStroke` | `getAccelerator()`
    `javax.swing.Icon` | `getIcon()`
    `protected java.lang.String` | `getKey()`
    `java.lang.String` | `getMenuHelpText()`
    `java.lang.String` | `getMenuText()`
    `java.lang.String` | `getToolbarIdentifier()`
    `java.lang.String` | `getToolbarText()`
    `boolean` | `isSelected()`
    `protected void` | `showPopupMenu()`
    `boolean` | `useEllipsis()`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### mLocalizer

          protected static final Localizer mLocalizer

      The localizer for this class.

  - ### Constructor Detail

    - #### TVBrowserAction

          public TVBrowserAction(java.lang.String key,
                         javax.swing.ImageIcon smallIcon,
                         javax.swing.ImageIcon largeIcon,
                         int keyCode,
                         int keyMask,
                         int toolbarActionType)

    - #### TVBrowserAction

          public TVBrowserAction(java.lang.String key,
                         int keyCode,
                         int keyMask)

  - ### Method Detail

    - #### getToolbarText

          public java.lang.String getToolbarText()

    - #### getIcon

          public javax.swing.Icon getIcon()

    - #### getMenuText

          public java.lang.String getMenuText()

    - #### getMenuHelpText

          public java.lang.String getMenuHelpText()

    - #### getAccelerator

          public javax.swing.KeyStroke getAccelerator()

    - #### getToolbarIdentifier

          public java.lang.String getToolbarIdentifier()

    - #### showPopupMenu

          protected void showPopupMenu()

    - #### getKey

          protected java.lang.String getKey()

    - #### useEllipsis

          public boolean useEllipsis()

    - #### isSelected

          public boolean isSelected()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)